Subject: Re: [RFC PATCH] Re: Empty directories...

From: Jakub Narebski <[email-masked]>
Date: Tue, 24 Jul 2007 00:52:47 +0200

Nix wrote:

> And the problem is that while git has a lot of strategies for merging
> *trees*, its file merge system is totally unpluggable: it just falls
> back to xdiff's merging system. I guess I'll have to add that feature :)

Not true. You can add custom diff driver for files using gitattributes
system.
 
> (How does this cope with binary files, I wonder? I seem to recall
> something about that flying past back before the volume of the git list
> overwhelmed me...)

xdiff has binary diff, and git has some kind of "ascii-armored" binary diff
output. As to how to merge binary files: I suspect that they always
conflict, unless the merge is trivial.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git